Bug 693635 - Intel Mac and Live USB
Summary: Intel Mac and Live USB
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests
Version: devel
Hardware: x86_64
OS: Mac OS
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Documentation Project
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 07:33 UTC by gareth foster
Modified: 2011-09-01 19:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-01 19:03:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 700208 None None None Never

Internal Links: 700208

Description gareth foster 2011-04-05 07:33:58 UTC
Description of problem:

Hi,

I just spent a couple of days trying to put the F15 Alpha Live CD image onto a USB stick for use with my Macbook Pro.

It turns out this isn't possible.

http://en.wikipedia.org/wiki/Live_USB#Limitations

I think this ought to go on the documentation somewhere, just to save people time.

In my case, my CD drive is dead, so I can't install Fedora.

Comment 1 Nathan Thomas 2011-04-05 20:43:34 UTC
Hi Gareth,

Can I ask how you are creating your live USB drive? If you're using Fedora LiveUSB Creator or dd it probably won't work, but if you have another machine already running Fedora (or can borrow a friend's Windows machine and boot a Fedora live USB created with a persistence layer) you can create a Mac-compatible live USB drive using a suite of programs called livecd-tools. Open a terminal and type the following commands:

$ su -c "yum install livecd-tools"
$ su -c "livecd-iso-to-disk --efi --format <ISO_NAME> <USB_Drive_NAME>"

where <ISO_NAME> is the path to the live image you want to install, and <USB_Drive_NAME> is the path to the usb drive you want to install it to. If you're not sure about the path to your usb drive, have a look in your /dev folder, which lists all connected devices - you can find out the name of your usb drive by simply removing it and noting which item is removed from the list!

So if the live image was in my downloads folder and my usb drive was called sdb, the command would be:

$ su -c "livecd-iso-to-disk --efi --format /home/nathan/Downloads/Fedora-15-Alpha-x86_64-Live-Desktop.iso /dev/sdb

That should get you a live usb drive that boots on a Mac. If you're able to try this please let us know if it works - if not we can file a bug with livecd-tools. Either way it's definitely something that should be mentioned in our documentation - thank you for bringing it to our attention!

Best wishes,
Nathan

Comment 2 gareth foster 2011-04-05 21:07:35 UTC
Wow, thanks for those instructions. Can I run those commands from VirtualBox Fedora 14 on my Macbook?

Thanks again for being so helpful.

Comment 3 Richard Vijay 2011-04-06 08:54:52 UTC
VirtualBox Bug is reported on its site for issues with new Intel I7 based Mac. I am one of those who reported this initially @ Virtualbox community, We are yet to receive a fix till now. 
Nathan, If this ticket is not assigned on anyone,I would like to take it as i follow up on both fedora and virtual box communities,please

Comment 4 gareth foster 2011-04-06 09:07:27 UTC
Better still, I wonder if the shell script "livecd-iso-to-disk" can be made to run on OSX?

I might try it when I get home.

Comment 5 Nathan Thomas 2011-04-06 11:39:40 UTC
(In reply to comment #3)
> VirtualBox Bug is reported on its site for issues with new Intel I7 based Mac.
> I am one of those who reported this initially @ Virtualbox community, We are
> yet to receive a fix till now. 
> Nathan, If this ticket is not assigned on anyone,I would like to take it as i
> follow up on both fedora and virtual box communities,please

Hi Richard, thanks for the offer of help! Do you know if VirtualBox supports creating live usb drives on non-I7 based Macbook Pros?

Gareth, does your Mac have an Intel Core I7 processor? Unfortunately livecd-tools is Linux-only at the moment, so I think our best bet would be trying to create a live USB drive in a Fedora 14 VirtualBox machine, if possible.

Thanks,
Nathan

Comment 6 gareth foster 2011-04-24 21:01:01 UTC
I finally tried this. I ran Fedora 14 in VirtualBox. I put the live CD image on the USB drive, copied it to the Fedora desktop, then used the commands given on this report to write the ISO to the USB stick.

The EFI flags don't seem to have helped. I get OSX, one option that mentions EFI that goes to a Grub prompt, and two legacy OS options that both go to a black screen that says missing OS  :(

Comment 7 Nathan Thomas 2011-04-25 19:21:29 UTC
Hmm. It sounds like you're making the live USB stick correctly, otherwise you wouldn't get the multiboot menu. Unfortunately I don't have an Apple machine to test. Could you file a separate bug against livecd-tools, so the maintainer of the livecd-tools package can have a look at it?

In the meantime, I'll make sure the instructions for creating an EFI-compatible live USB are put somewhere in the documentation.

Thanks!

Comment 8 gareth foster 2011-04-27 19:17:39 UTC
Done.

https://bugzilla.redhat.com/show_bug.cgi?id=700208

Comment 9 Nathan Thomas 2011-04-28 13:53:55 UTC
(In reply to comment #8)
> Done.
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=700208

Great, thanks Gareth!

Comment 10 Baif 2011-05-09 09:44:50 UTC
posted to 700208:

Hi All, when you trying to load LiveCD on new MBP (i3 i5 i7), it seems that the
boot camp or rEFIt supports/loads bootx64.efi ONLY.

You might copy the bootx64.efi from x64 CD, and copy your boot.conf to
bootx64.conf in EFI directory.

PS: I haven't successfully run LiveCD with USB (Alpha nor Beta) on my MBP with
i5.

I think you might request for adding x64 EFI to i386 LiveCD/Install CDs.

Comment 11 Nathan Thomas 2011-09-01 19:03:23 UTC
I've added brief instructions to the Live Image Guide outlining how to obtain Fedora Live images. This includes a note explaining that Mac OSX users must use a 64-bit image, and instructions on where to find 64-bit images on http://get.fedoraproject.org. These additions will be available in the Fedora 16 version of the guide.


Note You need to log in before you can comment on or make changes to this bug.